## ros-kinetic-rosconsole 1.12.17

=== debian/changelog ===
ros-kinetic-rosconsole (1.12.17-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rosconsole (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rosconsole (1.12.15-1xenial) xenial; urgency=high

  * don't use 0 as null pointer in macros (#1730 <https://github.com/ros/ros_comm/issues/1730>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rosconsole (1.12.14-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rosconsole (1.12.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rosconsole (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rosconsole (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rosconsole (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosconsole (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosconsole (1.12.8-1xenial) xenial; urgency=high

  * replace 'while(0)' with 'while(false)' to avoid warnings (#1179 <https://github.com/ros/ros_comm/issues/1179>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosconsole (1.12.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rosconsole (1.12.6-1xenial) xenial; urgency=high

  * add missing walltime to roscpp logging (#879 <https://github.com/ros/ros_comm/pull/879>)
  * fix building on GCC-6 (#911 <https://github.com/ros/ros_comm/pull/911>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.12.3-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.12.1-1xenial) xenial; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.12.0-1xenial) xenial; urgency=high

  * make LogAppender and Token destructor virtual (#729 <https://github.com/ros/ros_comm/issues/729>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.11.18-1xenial) xenial; urgency=high

  * fix compiler warnings

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rosconsole (1.11.17-1xenial) xenial; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rosconsole (1.11.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rosconsole (1.11.15-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rosconsole (1.11.14-1xenial) xenial; urgency=high

  * avoid redefining ROS_ASSERT_ENABLED (#628 <https://github.com/ros/ros_comm/pull/628>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rosconsole (1.11.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-rosconsole (1.11.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-rosconsole (1.11.11-1xenial) xenial; urgency=high

  * add DELAYED_THROTTLE versions of log macros (#571 <https://github.com/ros/ros_comm/issues/571>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-rosconsole (1.11.10-1xenial) xenial; urgency=high

  * fix various defects reported by coverity

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-rosconsole (1.11.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.8-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.5-1xenial) xenial; urgency=high

  * rename variables within rosconsole macros (#442 <https://github.com/ros/ros_comm/issues/442>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.3-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-kinetic-rosconsole (1.11.2-1xenial) xenial; urgency=high




